SphinxClient::setIndexWeights
SphinxClient::setMatchMode
SphinxClient
PHP Manual

# SphinxClient::setLimits

(PECL sphinx >= 0.1.0)

SphinxClient::setLimits — Set offset and limit of the result set

### Description

public bool SphinxClient::setLimits ( int `$offset` , int `$limit` [, int `$max_matches` = 0 [, int `$cutoff` = 0 ]] )

Sets `offset` into server-side result set and amount of matches to return to client starting from that offset (`limit`). Can additionally control maximum server-side result set size for current query (`max_matches`) and the threshold amount of matches to stop searching at (`cutoff`).

### Parameters

`offset`

  Result set offset.

`limit`

  Amount of matches to return.

`max_matches`

  Controls how much matches searchd will keep in RAM while searching.

`cutoff`

  Used for advanced performance control. It tells searchd to forcibly stop search query once `cutoff` matches have been found and processed.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

SphinxClient::setIndexWeights
SphinxClient::setMatchMode
SphinxClient
PHP Manual